smbios_memdevice_t Struct Reference
Public interface » ID macros » SMBIOS structures

memory device More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | location
| device location
char * | bank
| bank location
char * | manuf
| manufacturer
char * | serial
| serial number
char * | asset
| asset tag
char * | part
| part number
int | array_handle
| memory array this device belongs to
int | error_handle
| points to error info record; 0xfffe: not supported, 0xffff: no error
unsigned | width
| data width in bits
unsigned | eccbits
| ecc bits
unsigned | size
| kB
hd_id_t | form
| form factor
unsigned | set
| 0: does not belong to a set; 1-0xfe: set number; 0xff: unknown
hd_id_t | mem_type
| memory type
hd_bitmap_t | type_detail
| memory type details
unsigned | speed
| in MHz

## Detailed Description

memory device

The documentation for this struct was generated from the following file:

- hd.h